=== debian/watch ===
version=3
http://googlecode.debian.net/p/shunit2/shunit2-([\d\.]*)\.tgz
