=== debian/control ===
Source: shunit2
Maintainer: William Desportes <williamdes@wdes.fr>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: dash <!nocheck>,
                     ksh <!nocheck>,
                     mksh <!nocheck>,
                     zsh <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/shunit2
Vcs-Git: https://salsa.debian.org/debian/shunit2.git -b debian/latest
Homepage: https://github.com/kward/shunit2
Rules-Requires-Root: no

Package: shunit2
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: unit test framework for Bourne based shell scripts
 shUnit2 was originally developed to provide a consistent testing
 solution for log4sh, a shell based logging framework similar to
 log4j. It is designed to work in a similar manner to JUnit, PyUnit,
 etc.
